package com.fdkankan.ucenter.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fdkankan.ucenter.entity.Folder;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.ucenter.util.FolderTree;
import com.fdkankan.ucenter.vo.request.FolderParam;
import com.fdkankan.ucenter.vo.request.SceneParam;
import com.fdkankan.ucenter.vo.response.FolderVo;

import java.util.List;

/**
 * <p>
 * 文件夹表 服务类
 * </p>
 *
 * @author 
 * @since 2022-07-07
 */
public interface IFolderService extends IService<Folder> {

    void add(FolderParam param);

    void updateByParam(FolderParam param);

    void delete(Long id, String username);

    List<FolderTree> findListTree(String folderIds,Integer type, String username);

    void move(FolderParam param, String username);

    List<Folder> getAllFolderIds(List<Long> folderIds);

    List<Folder> findByUserIdAndType(Long userId, Integer type, String name,String folderIds);
}
